Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.validate
Class SchemaAttributeTest

    java.lang.Object
      net.sf.saxon.pattern.NodeTest
          com.saxonica.validate.SchemaAttributeTest

All Implemented Interfaces:
  Serializable, SchemaNodeTest, ItemType

    public class SchemaAttributeTest

extends NodeTest
implements SchemaNodeTest

A NodeTest of the form schema-attribute(attribute-name)

Since:
  9.3
Author:
  Michael H. Kay
See Also:
  Serialized Form

Constructor Summary
`SchemaAttributeTest(AttributeDecl element)` Constructor

Method Summary
`boolean` | `equals(Object other)`
`SchemaType` | `getContentType()` Get the content type allowed by this NodeTest (that is, the type annotation of the matched nodes).
`double` | `getDefaultPriority()` Determine the default priority of this node test when used on its own as a Pattern
`int` | `getNodeKindMask()` Get a mask indicating which kinds of nodes this NodeTest can match.
`int` | `getPrimitiveType()` Determine the types of nodes to which this pattern applies.
`IntSet` | `getRequiredNodeNames()` Get the set of node names allowed by this NodeTest.
`int` | `hashCode()` Returns a hash code value for the object.
`boolean` | `matches(int nodeKind, int nameCode, int annotation)` Test whether this node test is satisfied by a given node
`boolean` | `matches(NodeInfo node)` Test whether this node test is satisfied by a given node.
`boolean` | `matches(TinyTree tree, int nodeNr)` Test whether this node test is satisfied by a given node on a TinyTree.
`String` | `toString()`
`String` | `toString(NamePool pool)` Display the type descriptor for diagnostics
`void` | `visitNamedSchemaComponents(SchemaComponentVisitor visitor)` Visit all the schema components used in this ItemType definition

Methods inherited from class net.sf.saxon.pattern.NodeTest
`getAtomizedItemType, getFingerprint, getPrimitiveItemType, getSuperType, isAtomicType, isAtomizable, isNillable, matchesItem`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchemaAttributeTest

    public SchemaAttributeTest(AttributeDecl element)

  Constructor

  Parameters:
    `element` - The element declaration of the named element

Method Detail

### matches

    public boolean matches(int nodeKind,
                           int nameCode,
                           int annotation)

  Test whether this node test is satisfied by a given node

  Specified by:
    `matches` in class `NodeTest`
  Parameters:
    `nodeKind` - The type of node to be matched
    `nameCode` - identifies the expanded name of the node to be matched
    `annotation` - The actual content type of the node

### matches

    public boolean matches(TinyTree tree,
                           int nodeNr)

  Test whether this node test is satisfied by a given node on a TinyTree. The node must be a document, element, text, comment, or processing instruction node. This method is provided so that when navigating a TinyTree a node can be rejected without actually instantiating a NodeInfo object.

  Overrides:
    `matches` in class `NodeTest`
  Parameters:
    `tree` - the TinyTree containing the node
    `nodeNr` - the number of the node within the TinyTree
  Returns:
    true if the node matches the NodeTest, otherwise false

### matches

    public boolean matches(NodeInfo node)

  Test whether this node test is satisfied by a given node. This alternative method is used in the case of nodes where calculating the fingerprint is expensive, for example DOM or JDOM nodes.

  Overrides:
    `matches` in class `NodeTest`
  Parameters:
    `node` - the node to be matched

### getDefaultPriority

    public final double getDefaultPriority()

  Determine the default priority of this node test when used on its own as a Pattern

  Specified by:
    `getDefaultPriority` in class `NodeTest`

### getPrimitiveType

    public int getPrimitiveType()

  Determine the types of nodes to which this pattern applies. Used for optimisation. For patterns that match nodes of several types, return Type.NODE

  Specified by:
    `getPrimitiveType` in interface `ItemType`
  Overrides:
    `getPrimitiveType` in class `NodeTest`
  Returns:
    the type of node matched by this pattern. e.g. Type.ELEMENT or Type.TEXT

### getNodeKindMask

    public int getNodeKindMask()

  Get a mask indicating which kinds of nodes this NodeTest can match. This is a combination of bits: 1<
  Overrides:
    `getNodeKindMask` in class `NodeTest`

### getRequiredNodeNames

    public IntSet getRequiredNodeNames()

  Get the set of node names allowed by this NodeTest. This is returned as a set of Integer fingerprints. A null value indicates that all names are permitted (i.e. that there are no constraints on the node name. The default implementation returns null.

  Overrides:
    `getRequiredNodeNames` in class `NodeTest`

### getContentType

    public SchemaType getContentType()

  Get the content type allowed by this NodeTest (that is, the type annotation of the matched nodes). Return AnyType if there are no restrictions. The default implementation returns AnyType.

  Overrides:
    `getContentType` in class `NodeTest`

### visitNamedSchemaComponents

    public void visitNamedSchemaComponents(SchemaComponentVisitor visitor)
                                    throws XPathException

  Visit all the schema components used in this ItemType definition

  Specified by:
    `visitNamedSchemaComponents` in interface `ItemType`
  Overrides:
    `visitNamedSchemaComponents` in class `NodeTest`
  Parameters:
    `visitor` - the visitor class to be called when each component is visited
  Throws:
    `XPathException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(NamePool pool)

  Description copied from class: `NodeTest`
  Display the type descriptor for diagnostics

  Specified by:
    `toString` in interface `ItemType`
  Overrides:
    `toString` in class `NodeTest`
  Parameters:
    `pool` - the name pool
  Returns:
    a string representation of the type, in notation resembling but not necessarily identical to XPath syntax

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.